> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# List Preview Jobs



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/jobs/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/dynamic_rules/preview/jobs/:
    get:
      tags:
        - api
      operationId: api_v1_custom_org_dynamic_rules_preview_jobs_list
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedScenarioAnalysisJobListList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedScenarioAnalysisJobListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ScenarioAnalysisJobList'
    ScenarioAnalysisJobList:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/ScenarioAnalysisJobStatusEnum'
          readOnly: true
        params:
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        started_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        finished_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - created_at
        - finished_at
        - id
        - params
        - started_at
        - status
    ScenarioAnalysisJobStatusEnum:
      enum:
        - PENDING
        - RUNNING
        - SUCCESS
        - FAILURE
      type: string
      description: |-
        * `PENDING` - PENDING
        * `RUNNING` - RUNNING
        * `SUCCESS` - SUCCESS
        * `FAILURE` - FAILURE
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````